Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1613457 - Python bindings not included
Summary: Python bindings not included
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnucash
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-07 15:19 UTC by Mark Knoop
Modified: 2019-03-02 01:20 UTC (History)
2 users (show)

Fixed In Version: gnucash-3.4-4.fc29 gnucash-3.4-4.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-23 02:07:18 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Mark Knoop 2018-08-07 15:19:47 UTC
Description of problem: The gnucash python bindings which were previously included are no longer.


Version-Release number of selected component (if applicable): 3.2.1.fc28


How reproducible: 100%


Steps to Reproduce:
1. Install gnucash
2. Try to use gnucash python module

Comment 1 Felix Schwarz 2018-09-19 20:22:23 UTC
as a workaround you might want to try a pure-python module ("piecash") which can access gnucash's data files: https://github.com/sdementen/piecash

Of course the official python bindings provide more functionality but I switched to piecash completely now.

Comment 2 Fedora Update System 2019-02-21 04:10:08 UTC
gnucash-3.4-4.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-9e87373488

Comment 3 Fedora Update System 2019-02-21 04:31:38 UTC
gnucash-3.4-4.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-081c21c0ed

Comment 4 Fedora Update System 2019-02-22 01:35:15 UTC
gnucash-3.4-4.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-081c21c0ed

Comment 5 Fedora Update System 2019-02-22 03:06:01 UTC
gnucash-3.4-4.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-9e87373488

Comment 6 Fedora Update System 2019-02-23 02:07:18 UTC
gnucash-3.4-4.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2019-03-02 01:20:14 UTC
gnucash-3.4-4.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.